#include "headcontrolgui.h"
#include "ui_headcontrolgui.h"

#include<QDebug>

HeadControlGui::HeadControlGui(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::HeadControlGui)
{
    blockName = "";
    joints.resize(6);
    for (int i = 0; i < joints.size(); i++) {
        joints[i] = 0;
    }


    ui->setupUi(this);
}
void HeadControlGui::enableVelocity(bool velocity) {
    if (velocity) {
        ui->joint0->setRange(-50,50);
        ui->joint0->setSliderPosition(0);
        ui->joint1->setRange(-50,50);
        ui->joint1->setSliderPosition(0);
        ui->joint2->setRange(-50,50);
        ui->joint2->setSliderPosition(0);
        ui->joint3->setRange(-50,50);
        ui->joint3->setSliderPosition(0);
        ui->joint4->setRange(-50,50);
        ui->joint4->setSliderPosition(0);
        ui->joint5->setRange(-50,50);
        ui->joint5->setSliderPosition(0);
    }
}

HeadControlGui::~HeadControlGui()
{
    delete ui;
}

void HeadControlGui::on_joint0_valueChanged(int value)
{
    joints[0] = value;
    ui->joint0_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}

void HeadControlGui::on_joint1_valueChanged(int value)
{
    joints[1] = value;
    ui->joint1_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}

void HeadControlGui::on_joint2_valueChanged(int value)
{
    joints[2] = value;
    ui->joint2_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}

void HeadControlGui::on_joint3_valueChanged(int value)
{
    joints[3] = value;
    ui->joint3_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}

void HeadControlGui::on_joint4_valueChanged(int value)
{
    joints[4] = value;
    ui->joint4_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}

void HeadControlGui::on_joint5_valueChanged(int value)
{
   // qDebug() << value << "\n";
    joints[5] = value;
    ui->joint5_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}

void HeadControlGui::on_restoreButton_clicked()
{
    ui->joint0->setSliderPosition(0);
    ui->joint0_text->setNum(0);
    ui->joint1->setSliderPosition(0);
    ui->joint1_text->setNum(0);
    ui->joint2->setSliderPosition(0);
    ui->joint2_text->setNum(0);
    ui->joint3->setSliderPosition(0);
    ui->joint3_text->setNum(0);
    ui->joint4->setSliderPosition(0);
    ui->joint4_text->setNum(0);
    ui->joint5->setSliderPosition(0);
    ui->joint5_text->setNum(0);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
