#ifndef HEADCONTROLGUI_H
#define HEADCONTROLGUI_H

#include "agentspace/agentspace.h"

#include <QMainWindow>
#include <string>
#include <yarp/sig/Vector.h>

namespace Ui {
class HeadControlGui;
}

/**
 * \class HeadControlGui
 * \brief GUI for position/velocity control of iCub Head
 * GUI for position/velocity control of iCub Head in terms of Agent-Space architecture
 */


class HeadControlGui : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit HeadControlGui(QWidget *parent = 0);
    /**
     * Enables velocity control
     * \param velocity
     */
    void enableVelocity(bool velocity = false);
    std::string blockName;                      /**< the name of actuator agent block */
    ~HeadControlGui();
    
private slots:

    void on_joint0_valueChanged(int value);
    void on_joint1_valueChanged(int value);
    void on_joint2_valueChanged(int value);
    void on_joint3_valueChanged(int value);
    void on_joint4_valueChanged(int value);
    void on_joint5_valueChanged(int value);
    void on_restoreButton_clicked();

private:
    Ui::HeadControlGui *ui;
    yarp::sig::Vector joints;

};

#endif // HEADCONTROLGUI_H
