#include <stdio.h>
#include <string>
#include <vector>

#include "agents.h"

#include <yarp/os/Network.h>
#include <yarp/os/RateThread.h>
#include <yarp/os/Time.h>
#include <yarp/os/Property.h>
#include <yarp/dev/ControlBoardInterfaces.h>
#include <yarp/dev/PolyDriver.h>
#include <yarp/sig/Vector.h>


int main(int argc, char *argv[])
{
    printf("Main started \n");   
    yarp::os::Network yarp;

    ConfBlock headconf;
    headconf.agentName = "MotarAgent Head";
    headconf.jointBlock = "head_joints";
    headconf.accelerationBlock = "head_acc";
    headconf.speedBlock = "head_speed";
    headconf.yarpDevice = "remote_controlboard";
    headconf.yarpLocal = "/test/client";
    headconf.yarpRemote = "/icubSim/head";
    Space::getSpace()->write<ConfBlock>("raConfig",headconf, 0, 1.0);
    printf("Conf space writted \n");
    vector<Agent*> agents;
    agents.push_back(new WriteAgent("WAgent"));
    agents.push_back(new MotorAgent("raConfig"));
   // printf("Agents size: %d \n", agents.size());
    for (int i = 0; i < agents.size(); i++) {
        cout << agents[i]->start();
    }
    printf("Agents started \n");
    //Space::getSpace()->write<yarp::sig::Vector>("head",commands, 0, 1.0);
    for (int i = 0; i < agents.size(); i++) {
        agents[i]->join();
    }

    return 0;
}
