#ifndef ARMCONTROLGUI_H
#define ARMCONTROLGUI_H

#include "agentspace/agentspace.h"

#include <QMainWindow>
#include <string>
#include <yarp/sig/Vector.h>

namespace Ui {
class ArmControlGui;
}

/**
 * \class ArmControlGui
 * \brief GUI for position/velocity control of iCub Arm
 * GUI for position/velocity control of iCub Arm in terms of Agent-Space architecture
 */

class ArmControlGui : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit ArmControlGui(QWidget *parent = 0);
    std::string blockName;                  /**< the name of actuator agent block */
    /**
     * Enables velocity control
     * \param velocity
     */
    void enableVelocity(bool velocity = false);
    /**
     * Sets name of GUI
     * \param name
     */
    void setName(const char *name);
    ~ArmControlGui();
    
private slots:

    void on_joint0_valueChanged(int position);
    void on_joint1_valueChanged(int position);
    void on_joint2_valueChanged(int position);
    void on_joint3_valueChanged(int position);
    void on_joint4_valueChanged(int position);
    void on_joint5_valueChanged(int position);
    void on_joint6_valueChanged(int position);
    void on_joint7_valueChanged(int position);
    void on_joint8_valueChanged(int position);
    void on_joint9_valueChanged(int position);
    void on_joint10_valueChanged(int position);
    void on_joint11_valueChanged(int position);
    void on_joint12_valueChanged(int position);
    void on_joint13_valueChanged(int position);
    void on_joint14_valueChanged(int position);
    void on_joint15_valueChanged(int position);

private:
    Ui::ArmControlGui *ui;
    yarp::sig::Vector joints;
};

#endif // ARMCONTROLGUI_H
