#include "worldgui.h"
#include "ui_worldgui.h"

WorldGui::WorldGui(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::WorldGui)
{
    ui->setupUi(this); 
    port.open("/move_ball");
    yarp::os::Network::connect("/move_ball","/icubSim/world");
}

WorldGui::~WorldGui()
{
    delete ui;
}

void WorldGui::on_pushButton_clicked()
{
    yarp::os::Bottle move_obj("world set ball");
    move_obj.addDouble(ui->x_value->value());
    move_obj.addDouble(ui->y_value->value());
    move_obj.addDouble(ui->z_value->value());
    port.write(move_obj,reply);

}

void WorldGui::on_xpos_valueChanged(int value)
{
    ui->x_value->setValue((double)value/1000);
    yarp::os::Bottle move_obj("world set ball");
    move_obj.addDouble(ui->x_value->value());
    move_obj.addDouble(ui->y_value->value());
    move_obj.addDouble(ui->z_value->value());
    port.write(move_obj,reply);
}

void WorldGui::on_ypos_valueChanged(int value)
{
    ui->y_value->setValue((double)value/1000);
    yarp::os::Bottle move_obj("world set ball");
    move_obj.addDouble(ui->x_value->value());
    move_obj.addDouble(ui->y_value->value());
    move_obj.addDouble(ui->z_value->value());
    port.write(move_obj,reply);
}

void WorldGui::on_zpos_valueChanged(int value)
{
   ui->z_value->setValue((double)value/1000);
   yarp::os::Bottle move_obj("world set ball");
   move_obj.addDouble(ui->x_value->value());
   move_obj.addDouble(ui->y_value->value());
   move_obj.addDouble(ui->z_value->value());
   port.write(move_obj,reply);
}
