#ifndef WORLDGUI_H
#define WORLDGUI_H

#include <QMainWindow>
#include <string>
#include <yarp/os/all.h>

namespace Ui {
class WorldGui;
}
/**
 * \class WorldGui
 * \brief GUI for position control of build in blue ball
 */

class WorldGui : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit WorldGui(QWidget *parent = 0);
    ~WorldGui();
    
private slots:
    void on_pushButton_clicked();
    void on_xpos_valueChanged(int value);
    void on_ypos_valueChanged(int value);
    void on_zpos_valueChanged(int value);

private:
    Ui::WorldGui *ui;
    yarp::os::Bottle reply;
    yarp::os::Port port;
};

#endif // WORLDGUI_H
