#include "icub_agentspace/agents.h"


int main(int argc, char *argv[])
{
    printf("Main started \n");

 /********************** CONFIGURATION *****************************/
    ConfBlock headconf;
    headconf.agentName = "MotorAgent Head";
    headconf.jointBlock = "head_joints";
    headconf.accelerationBlock = "head_acc";
    headconf.speedBlock = "head_speed";
    headconf.yarpDevice = "remote_controlboard";
    headconf.yarpLocal = "/test/clientH";
    headconf.yarpRemote = "/icubSim/head";
    Space::getSpace()->write<ConfBlock>("hConfig",headconf, 0, 1.0);


/************************* GUI ****************************/
    yarp::os::Network yarp;

    QApplication a(argc, argv);

    HeadControlGui h;
    h.enableVelocity(false);
    h.blockName = headconf.jointBlock;
    h.show();


    WorldGui world;
    world.show();

/*********************** Agents *****************************/


    vector<Agent*> agents;
    agents.push_back(new MotorAgent("hConfig"));


    for (int i = 0; i < agents.size(); i++) {
        cout << agents[i]->start();
    }
    /*for (int i = 0; i < agents.size(); i++){
        agents[i]->join();
    }*/
    
    return a.exec();
}
